{
	saved_anim_aimStand [13]
	saved_anim_idleCrouch [8]
	saved_anim_idleStand [7]
	saved_anim_wavePlayer [29]

	saved_pathOrange [6]	saved_pathOrangeEnd [2]
	saved_pathLtGreen [7]	saved_pathLtGreenEnd [3]
	saved_pathLtPurple [8]	saved_pathLtPurpleEnd [2]
	saved_pathLtYellow [9]	saved_pathLtYellowEnd [4]
	saved_pathLtPink [10]	saved_pathLtPinkEnd [4]
	saved_pathLtBlue [11]	saved_pathLtBlueEnd[5]

	saved_MortarCnt [0]

	saved_firstTime [1]

	Init[ (s)
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(3); // russian
			SetInvulnerable( true );
			GiveWeapon(56);
			SetWalking();
			SetWalkToDist(3);
			SetWander(0);

			TurnTo( Level.GetPlayer() );
			PlayAnimation(saved_anim_wavePlayer,1,saved_anim_idleStand);
			Delay( Random(5,8),5 );
	}]

	DelayReached[ (dy)
	{
		if( dy= 5 )
		{
			PlayAnimation(saved_anim_wavePlayer,1,saved_anim_idleStand);
			if( Level.saved_BeenBriefed = 0 )
			{
				Delay( Random(5,8),5);
			}
		}
		if( dy=10 )
		{
			Level.ObjectiveComplete(0);
			Level.SetObjectiveActive(1,true);

			Level.saved_BeenBriefed = 1;

			Self = Level.GetPlayer();
			Self.SetFrozen( false );

			StopTurnTo();
			GoCrouching( 14464, 18230 );
		}

		if( dy=20 )
		{
			if( saved_MortarCnt < 7 )
			{
				Level.BlowMortar( saved_MortarCnt );
				saved_MortarCnt = (saved_MortarCnt + 1);
				Delay(1,20);
			}
			else
			{
				saved_MortarCnt = 0;
				Level.Victory();

				//JEFF ADDED, LEVEL PROGRESSION
				Delay(8, 100);
			}
		}

		if( dy=30 )
		{
			SetAttackDistance(0,0);
			SetState_Patrol(0);
			SetLineOfSight(1);
			StopTurnTo();
			PlayAnimation(13);
			TurnToLocation(15786,26496);
		}

		if ( dy=100 )
		{
			Level.LoadLevel("S_RUM2_Pavlov");
		}
	}]

	ReachedDestination[ (dn)
	{
		if( dn=5 )
		{
			if( Level.saved_DoorBlown = 0 )
			{
				Level.saved_DoorBlown = 1;

				gate = Level.GetEntity("fence1");
				Level.GetPlayer().PlaySound(3);
				gate.ShowEntity(false);
				gate.SetPassable(true);
				Level.CreateEffect(55,61,0,14464,19318,40,128,14,16,16);
			}

			SetWalking();
			SetAttackDistance(10,8);
			SetState_Patrol(0);
			SetLineOfSight(1);
		}
	}]


	PathNodeReached[ (id, nodeId)
	{
		if( id=saved_pathOrange )
		{
			if( nodeId=saved_pathOrangeEnd )
			{
				PlayAnimation(13);
				TurnToLocation(15692,20019);
				SetAttackDistance(5,8);
				SetState_Patrol(0);
				SetLineOfSight(1);
			}
		}
		if( id=saved_pathLtGreen )
		{
			if( nodeId=saved_pathLtGreenEnd )
			{
				PlayAnimation(13);
				TurnToLocation(16432,21616);
			}
		}
		if( id=saved_pathLtPurple )
		{
			if( nodeId=saved_pathLtPurpleEnd )
			{
				PlayAnimation(13);
				TurnToLocation(15472,21360);
			}
		}
		if( id=saved_pathLtYellow )
		{
			if( nodeId=saved_pathLtYellowEnd )
			{
				PlayAnimation(13);
				TurnToLocation(16128,25792);
			}
		}
		if( id=saved_pathLtPink )
		{
			if( nodeId=saved_pathLtPinkEnd )
			{
				PlayAnimation(13);
				TurnToLocation(17813,26560);
			}
		}
		if( id=saved_pathLtBlue )
		{
			if( nodeId=saved_pathLtBlueEnd )
			{
				PlayAnimation(13);
				TurnToLocation(13866,26133);

			}
		}
	}]

	BriefPlayer[ (s)
	{
		Self = Level.GetPlayer();
		Self.SetFrozen( true );
		PlayAnimation(8);
		Level.GetPlayer().PlaySound(32,100,1);
		Delay(8,10);
	}]

	BriefSnipe[ ()
	{
		TurnTo(Level.GetPlayer(	));
		PlayAnimation(7);
		Level.GetPlayer().PlaySound(35);
		Delay(4,30);
	}]

	GoCrouching[ ( xPos, yPos )
	{
		PlayAnimation(1);
		WalkTo( xPos, yPos, 5, 2);
	}]
}